Subject: Re: Packetlost when "tc qdisc del dev eth0 root"

From: Glen Turner <[email-masked]>
Date: Wed, 16 Jan 2008 09:46:07 +1030

On Wed, 2008-01-16 at 00:46 +0300, [email-masked] wrote:

> But i have above 45 k classes and qdiscs.... After some time i will  
> need patch to up max qdisc and classes more then 65k (> 0xfffe) =)))
> Also i have very bad TC commands performance then i have more then 10k rules.

In contrast a "brand name" router will support 4 to 16 queues
per (sub-)interface.  Your large number of queues exceeds
expectations.

What are you trying to do?  You may be better off inventing a
new qdisc to meet your need (eg, to do per-IP traffic shaping
or, less complexly, a traffic shaping based on the value of mark
which might offend DiffServ purists) or have, say, 1000 output
rates based on a marking and use the ipset feature of Netfilter
to set the mark.  Using 1000 rates gives an error of 0.1% which
is unlikely to be noticed by your customers given the larger
effects of shaping on TCP performance but is beneath the
level where you are noticing performance issues.